server:
  port: 8009
  tomcat:
    accesslog:
      enabled: true
      buffered: true
      directory: /var/logs
      file-date-format: -yyyy-MM-dd
      pattern: common
      prefix: tomcat-task
      rename-on-rotate: false
      request-attributes-enabled: false
      rotate: true
      suffix: .log

eureka:
  client:
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
    instance:
      lease-renewal-interval-in-seconds: 5
      prefer-ip-address: true

spring:
  application:
    name: task-server

  datasource:
    name: test
    url: jdbc:mysql://47.114.176.40:3306/edu_saas?useUnicode=true&characterEncoding=UTF8&serverTimezone=Asia/Shanghai
    username: edu_saas
    password: dayaDataOnline@2019
    # 使用druid数据源
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20

  redis:
    host: 47.114.1.200
    port: 6379
    password: dyym
    database: 0
    #连接超时时间（毫秒）
    timeout: 10000
    pool:
      #连接池最大连接数（使用负值表示没有限制）
      max-active: 10
      #连接池最大阻塞等待时间（使用负值表示没有限制）
      max-wait: -1
      #连接池中的最大空闲连接
      max-idle: 10
      #连接池中的最小空闲连接
      min-idle: 0

mybatis:
  mapperLocations: classpath:config/mybatis/*.xml

task:
  configLocation: classpath:config/properties/quartz.properties
  autoStartup: true
  startupDelay: 30

logging:
  config: classpath:logback-spring.xml
  path: d:/var/logs

security:
  oauth2:
    client:
      client-id: app
      client-secret: app
    resource:
      token-info-uri: http://localhost:8001/oauth/check_token


ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000

message:
  debugMode: true

eseal:
  tsign:
    projectid: 4438776254
    projectSecret: a94cf63d6361084d232f345d71321691
    apisUrl: http://smlitsm.tsign.cn:8080/tgmonitor/rest/app!getAPIInfo2


push:
  jiguang:
    reqURL: https://api.jpush.cn/v3/push
    appKey:
      student: 0e7422e1d6e73637e678716a
      teacher: 7e0282ca92c12c8c45a93bb3
      system: a003c997b1add94aa8d6caf9
    masterSecret:
      student: c2361016604eab56ab2db2ac
      teacher: d47430e2f4755ef5dc050ac5
      system: c281fe6a21acf2e8a9f9d628
    apns_production: false
